Subject: Re: [RESEND PATCH net-next v4 00/25] net: dpaa: Cleanups in preparation for phylink conversion

From: Jakub Kicinski <[email-masked]>
Date: Thu, 18 Aug 2022 11:58:15 -0700

On Thu, 18 Aug 2022 14:37:23 -0400 Sean Anderson wrote:
> On 8/18/22 2:20 PM, Jakub Kicinski wrote:
> > On Thu, 18 Aug 2022 12:16:24 -0400 Sean Anderson wrote:  
> >> This series contains several cleanup patches for dpaa/fman. While they
> >> are intended to prepare for a phylink conversion, they stand on their
> >> own. This series was originally submitted as part of [1].  
> > 
> > Still over the limit of patches in a patch series, and looks pretty
> > easy to chunk up. We review and apply patches in netdev in 1-3 days,
> > it really is more efficient to post smaller series.   
> 
> Last time I offered to arbitrarily chunk things [1], but I did not receive
> a response for 3 weeks.

I sent you the link to the rules. Admittedly not the most polite and
clear feedback to put it mildly but that was the reason.

> > And with the other series you sent to the list we have nearly 50
> > patches from you queued for review. I don't think this is reasonable,
> > people reviewing this code are all volunteers trying to get their
> > work done as well :(  
> 
> These patches have been sent to the list in one form or another since
> I first sent out an RFC for DPAA conversion back in June [2]. I have not
> substantially modified any of them (although I did add a few more
> since v2). It's not like I came up with these just now; I have been
> seeking feedback on these series for 2-3 months so far. The only
> reviews I have gotten were from Camelia Groza, who has provided some
> helpful feedback.

Ack, no question. I'm trying to tell you got to actually get stuff in.
It's the first week after the merge window and people are dumping code
the had written over the dead time on the list, while some reviewers
and maintainers are still on their summer vacation. So being
considerate is even more important than normally.